#
# spec file for package entr
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Daniel Lichtenberger
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           entr
Version:        4.0
Release:        lp150.1.2
Summary:        A utility for running arbitrary commands when files change
License:        ISC
Group:          Development/Tools/Other
Url:            https://bitbucket.org/eradman/entr
Source0:        https://bitbucket.org/eradman/entr/get/entr-%{version}.tar.bz2
Source1:        LICENSE

%description
A utility for running arbitrary commands when files change. Uses
inotify(7) to avoid polling.

%prep
%autosetup -c
mv eradman-%{name}-*/* .

%build
export CFLAGS="%{optflags}"
# not autotoolsconfigure
./configure
make %{?_smp_mflags}

%install
export PREFIX=%{_prefix}
export MANPREFIX=%{_mandir}
%make_install

%check
make %{?_smp_mflags} test

%files
%doc LICENSE NEWS README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Sat Feb  3 2018 avindra@opensuse.org
- Bump to 4.0
  - Warn instead of error if kqueue fails to register on STDIN
  - Close STDIN before running the utility when the restart option
    is used
  - Restore terminal settings if terminated by a signal
* Tue Nov  7 2017 aavindraa@gmail.com
- Bump to 3.9
  * Fix use of poll(2) to avoid possible busy-loop on Linux
  * Disable keyboard input if STDIN read fails
- Includes changes from 3.8
  * Run the utility if spacebar is pressed
  * 'q' for quit
- Includes changes from 3.7
  * Terminate subprocess in restart mode if a file under watch
    disappears
  * Allow NOTE_ATTRIB to set '/_' only if file mode changes
  * New '-s' option executes commands using $SHELL -c
  * Print usage and exit if input is from tty instead of pipe
- Switch to bz2 download (smaller filesize)
- Cleanup with spec-cleaner
* Wed Jun 21 2017 jengelh@inai.de
- Trim redundant wording.
* Sun Dec 11 2016 mpluskal@suse.com
- Small packaging cleanup with help of spec-cleaner
* Sun Dec 11 2016 daniel.lichtenberger@gmail.com
- Moved configure to %%build, use separate changelog file.
* Sun Dec 11 2016 daniel.lichtenberger@gmail.com 
- Added NEWS and README.md
* Sun Dec 11 2016 daniel.lichtenberger@gmail.com
- Use %%%%doc instead of %%%%license
* Sat Dec 10 2016 daniel.lichtenberger@gmail.com 
- Fix for rpm older than 4.12
* Sat Dec 10 2016 daniel.lichtenberger@gmail.com 
- Initial version based on Fedora spec file by Lubomír Sedlář <lsedlar@redhat.com>
